# mongoc_database_remove_all_users()

## Synopsis

    bool
    mongoc_database_remove_all_users (mongoc_database_t *database,
                                      bson_error_t *error);

This function will remove all users configured to access `database`.

## Parameters

- `database`: A mongoc_database_t.
- `error`: An optional location for a bson_error_t or `NULL`.

## Errors

Errors are propagated via the `error` parameter. This may fail if there are socket errors or the current user is not authorized to perform the given command.

## Returns

Returns `true` if successful. Returns `false` and sets `error` if there are invalid arguments or a server or network error.